Skip to main content
GET
/
polymarket
/
series
List or get series
curl --request GET \
  --url https://api.struct.to/v1/polymarket/series
[
  {
    "id": "",
    "slug": null,
    "ticker": null,
    "title": null,
    "description": null,
    "series_type": null,
    "recurrence": null,
    "layout": null,
    "image_url": null,
    "icon_url": null,
    "active": false,
    "closed": false,
    "archived": false,
    "featured": false,
    "restricted": false,
    "pyth_token_id": null,
    "cg_asset_name": null,
    "start_date": null,
    "event_count": 0
  }
]

Query Parameters

id
string

Single series ID for direct lookup

series_ids
string

Comma-separated series IDs (max 250). Mutually exclusive with series_slugs.

series_slugs
string

Comma-separated series slugs (max 250). Mutually exclusive with series_ids.

active_only
boolean

Only active series (default: true). Ignored when series_ids or series_slugs are provided.

limit
integer<int32>

Results limit (default: 10, max: 250)

pagination_key
string

Cursor for pagination: id of the last series from the previous page

Response

Series or list of series

id
string
default:""
slug
string | null
ticker
string | null
title
string | null
description
string | null
series_type
string | null
recurrence
string | null
layout
string | null
image_url
string | null
icon_url
string | null
active
boolean
default:false
closed
boolean
default:false
archived
boolean
default:false
restricted
boolean
default:false
pyth_token_id
string | null
cg_asset_name
string | null
start_date
integer<int64> | null
event_count
integer<int32>
default:0
Last modified on March 17, 2026